# HG changeset patch
# Node ID 4e8952cf310e
# Parent  31e8c7c92e2f
diff --git a/libpurple/protocols/bonjour/bonjour_ft.c b/libpurple/protocols/bonjour/bonjour_ft.c
--- a/libpurple/protocols/bonjour/bonjour_ft.c
+++ b/libpurple/protocols/bonjour/bonjour_ft.c
@@ -67,7 +67,8 @@
 	PurpleContact *contact;
 };
 
-G_DEFINE_DYNAMIC_TYPE(XepXfer, xep_xfer, PURPLE_TYPE_XFER);
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(XepXfer, xep_xfer, PURPLE_TYPE_XFER,
+                               G_TYPE_FLAG_FINAL, {})
 
 static void
 xep_ft_si_reject(BonjourData *bd, const char *id, const char *to, const char *error_code, const char *error_type)
diff --git a/libpurple/protocols/demo/purpledemoconnection.c b/libpurple/protocols/demo/purpledemoconnection.c
--- a/libpurple/protocols/demo/purpledemoconnection.c
+++ b/libpurple/protocols/demo/purpledemoconnection.c
@@ -26,8 +26,8 @@
 	PurpleConnection parent;
 };
 
-G_DEFINE_DYNAMIC_TYPE(PurpleDemoConnection, purple_demo_connection,
-                      PURPLE_TYPE_CONNECTION)
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(PurpleDemoConnection, purple_demo_connection,
+                               PURPLE_TYPE_CONNECTION, G_TYPE_FLAG_FINAL, {})
 
 /******************************************************************************
  * PurpleConnection Implementation
diff --git a/libpurple/protocols/gg/edisc.c b/libpurple/protocols/gg/edisc.c
--- a/libpurple/protocols/gg/edisc.c
+++ b/libpurple/protocols/gg/edisc.c
@@ -1270,7 +1270,8 @@
  * GObject implementation
  ******************************************************************************/
 
-G_DEFINE_DYNAMIC_TYPE(GGPXfer, ggp_xfer, PURPLE_TYPE_XFER);
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(GGPXfer, ggp_xfer, PURPLE_TYPE_XFER,
+                               G_TYPE_FLAG_FINAL, {})
 
 static void
 ggp_xfer_init_xfer(PurpleXfer *xfer) {
diff --git a/libpurple/protocols/ircv3/purpleircv3capabilities.c b/libpurple/protocols/ircv3/purpleircv3capabilities.c
--- a/libpurple/protocols/ircv3/purpleircv3capabilities.c
+++ b/libpurple/protocols/ircv3/purpleircv3capabilities.c
@@ -166,8 +166,9 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
-G_DEFINE_DYNAMIC_TYPE(PurpleIRCv3Capabilities, purple_ircv3_capabilities,
-                      G_TYPE_OBJECT)
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(PurpleIRCv3Capabilities,
+                               purple_ircv3_capabilities, G_TYPE_OBJECT,
+                               G_TYPE_FLAG_FINAL, {})
 
 static void
 purple_ircv3_capabilities_get_property(GObject *obj, guint param_id,
diff --git a/libpurple/protocols/ircv3/purpleircv3message.c b/libpurple/protocols/ircv3/purpleircv3message.c
--- a/libpurple/protocols/ircv3/purpleircv3message.c
+++ b/libpurple/protocols/ircv3/purpleircv3message.c
@@ -46,7 +46,7 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
-G_DEFINE_TYPE(PurpleIRCv3Message, purple_ircv3_message, G_TYPE_OBJECT)
+G_DEFINE_FINAL_TYPE(PurpleIRCv3Message, purple_ircv3_message, G_TYPE_OBJECT)
 
 static void
 purple_ircv3_message_finalize(GObject *obj) {
diff --git a/libpurple/protocols/ircv3/purpleircv3parser.c b/libpurple/protocols/ircv3/purpleircv3parser.c
--- a/libpurple/protocols/ircv3/purpleircv3parser.c
+++ b/libpurple/protocols/ircv3/purpleircv3parser.c
@@ -39,7 +39,7 @@
 	GHashTable *handlers;
 };
 
-G_DEFINE_TYPE(PurpleIRCv3Parser, purple_ircv3_parser, G_TYPE_OBJECT)
+G_DEFINE_FINAL_TYPE(PurpleIRCv3Parser, purple_ircv3_parser, G_TYPE_OBJECT)
 
 /******************************************************************************
  * Helpers
diff --git a/libpurple/protocols/jabber/jingle/iceudp.c b/libpurple/protocols/jabber/jingle/iceudp.c
--- a/libpurple/protocols/jabber/jingle/iceudp.c
+++ b/libpurple/protocols/jabber/jingle/iceudp.c
@@ -55,7 +55,7 @@
 	JingleIceUdp,
 	jingle_iceudp,
 	JINGLE_TYPE_TRANSPORT,
-	0,
+	G_TYPE_FLAG_FINAL,
 	G_ADD_PRIVATE_DYNAMIC(JingleIceUdp)
 );
 
diff --git a/libpurple/protocols/jabber/jingle/rawudp.c b/libpurple/protocols/jabber/jingle/rawudp.c
--- a/libpurple/protocols/jabber/jingle/rawudp.c
+++ b/libpurple/protocols/jabber/jingle/rawudp.c
@@ -54,7 +54,7 @@
 	JingleRawUdp,
 	jingle_rawudp,
 	JINGLE_TYPE_TRANSPORT,
-	0,
+	G_TYPE_FLAG_FINAL,
 	G_ADD_PRIVATE_DYNAMIC(JingleRawUdp)
 );
 
diff --git a/libpurple/protocols/jabber/jingle/rtp.c b/libpurple/protocols/jabber/jingle/rtp.c
--- a/libpurple/protocols/jabber/jingle/rtp.c
+++ b/libpurple/protocols/jabber/jingle/rtp.c
@@ -67,7 +67,7 @@
 	JingleRtp,
 	jingle_rtp,
 	JINGLE_TYPE_CONTENT,
-	0,
+	G_TYPE_FLAG_FINAL,
 	G_ADD_PRIVATE_DYNAMIC(JingleRtp)
 );
 
diff --git a/libpurple/protocols/jabber/jingle/session.c b/libpurple/protocols/jabber/jingle/session.c
--- a/libpurple/protocols/jabber/jingle/session.c
+++ b/libpurple/protocols/jabber/jingle/session.c
@@ -68,7 +68,7 @@
 	JingleSession,
 	jingle_session,
 	G_TYPE_OBJECT,
-	0,
+	G_TYPE_FLAG_FINAL,
 	G_ADD_PRIVATE_DYNAMIC(JingleSession)
 );
 
diff --git a/libpurple/protocols/jabber/oob.c b/libpurple/protocols/jabber/oob.c
--- a/libpurple/protocols/jabber/oob.c
+++ b/libpurple/protocols/jabber/oob.c
@@ -37,7 +37,8 @@
 	SoupMessage *msg;
 };
 
-G_DEFINE_DYNAMIC_TYPE(JabberOOBXfer, jabber_oob_xfer, PURPLE_TYPE_XFER);
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(JabberOOBXfer, jabber_oob_xfer,
+                               PURPLE_TYPE_XFER, G_TYPE_FLAG_FINAL, {})
 
 static void jabber_oob_xfer_xfer_init(PurpleXfer *xfer)
 {
diff --git a/libpurple/protocols/jabber/si.c b/libpurple/protocols/jabber/si.c
--- a/libpurple/protocols/jabber/si.c
+++ b/libpurple/protocols/jabber/si.c
@@ -74,7 +74,8 @@
 	PurpleCircularBuffer *ibb_buffer;
 };
 
-G_DEFINE_DYNAMIC_TYPE(JabberSIXfer, jabber_si_xfer, PURPLE_TYPE_XFER);
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(JabberSIXfer, jabber_si_xfer, PURPLE_TYPE_XFER,
+                               G_TYPE_FLAG_FINAL, {})
 
 /* some forward declarations */
 static void jabber_si_xfer_ibb_send_init(JabberStream *js, PurpleXfer *xfer);
diff --git a/libpurple/protocols/jabber/xmpp.c b/libpurple/protocols/jabber/xmpp.c
--- a/libpurple/protocols/jabber/xmpp.c
+++ b/libpurple/protocols/jabber/xmpp.c
@@ -114,7 +114,8 @@
 {
 }
 
-G_DEFINE_DYNAMIC_TYPE(XMPPProtocol, xmpp_protocol, JABBER_TYPE_PROTOCOL);
+G_DEFINE_DYNAMIC_TYPE_EXTENDED(XMPPProtocol, xmpp_protocol,
+                               JABBER_TYPE_PROTOCOL, G_TYPE_FLAG_FINAL, {})
 
 /* This exists solely because the above macro makes xmpp_protocol_register_type
  * static. */
